VMs
Set a VM's endpoint visibility
Command line
The orl CLI wraps this endpoint:
orl vms visibility set <id> --publicAuthorization
apiKey AuthorizationBearer <token>
OpenRelay API key. Send it as Authorization: Bearer or_… (legacy vl_… keys still work).
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/vms/string/visibility" \ -H "Content-Type: application/json" \ -d '{ "public": true }'{ "id": "string", "organizationId": "string", "name": "string", "status": "string", "statusReason": "string", "gpuModelId": "string", "gpuCount": 0, "endpointUrl": "string", "volumeGb": 0, "public": true, "createdAt": "string", "provisioningStage": "string", "resourceSize": "string", "tier": "string", "diskSizeGb": 0, "gpuModelName": "string", "pricePerHourCents": 0, "serviceType": "string", "managedBy": "string", "capabilityTier": "string", "computeClass": "string", "imageUrl": "string"}